Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
origin_shielding = client.cdn.cdn_resources.shield.get(
0,
)
print(origin_shielding.shielding_pop)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
originShielding, err := client.CDN.CDNResources.Shield.Get(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", originShielding.ShieldingPop)
}curl --request GET \
--url https://api.gcore.com/cdn/resources/{resource_id}/shielding_v2 \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cdn/resources/{resource_id}/shielding_v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"shielding_pop": 4
}Origin shielding
Get origin shielding details
Get information about origin shielding.
GET
/
cdn
/
resources
/
{resource_id}
/
shielding_v2
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
origin_shielding = client.cdn.cdn_resources.shield.get(
0,
)
print(origin_shielding.shielding_pop)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
originShielding, err := client.CDN.CDNResources.Shield.Get(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", originShielding.ShieldingPop)
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
CDN resource ID.
Response
200 - application/json
Successful.
Shielding location ID.
If origin shielding is disabled, the parameter value is null.
Was this page helpful?
⌘I